Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Hudson » Announcement: Hudson 3.3.0 is now available
icon3.gif  Announcement: Hudson 3.3.0 is now available [message #1701427] Mon, 13 July 2015 12:03
Duncan Mills is currently offline Duncan MillsFriend
Messages: 49
Registered: August 2011
Member

The Hudson team are happy to announce the general availability of Hudson 3.3.0 which can now be downloaded from the Hudson Download page.
This is a significant release for Hudson users as it marks a move to Java 7 as the baseline version of Java that must be used to run Hudson itself. You can of course still use older versions of Java as tools for compilation within your jobs though.
Before upgrading to this release please make sure that your application server (if not using the embedded Jetty server) is running on top of Java 7 or Java 8.
If you cannot upgrade to Java 7 at this time, then you will have to remain on Hudson 3.2.2 which is still available for download. Note, however, that all future versions of Hudson will also require at least Java 7 and we intend to move onto a Java 8 backbone within the next few releases.
As well as the Java baseline upgrade, this release also upgrades several core 3rd partly libraries used by Hudson to newer and more secure versions. Details of these library changes are available on the changelog.

As usual, please report any issues via Bugzilla.


Duncan Mills
Eclipse Hudson team
Previous Topic:Announcement: Pre-Eclipse Versions of Hudson
Next Topic:Trying to upgrade from Hudson 3.2.2 to 3.3.0
Goto Forum:
  


Current Time: Tue Oct 17 22:44:01 GMT 2017

Powered by FUDForum. Page generated in 0.04402 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software